QGIS Application - Feature request #15513
Diagrams: no friendly interface to update an existing expression (too hard)
2016-09-01 09:09 AM - Harrissou Santanna
Assignee:
Pull Request or Patch supplied: Resolution: fixed/implemented
Easy fix?: No Copied to github as #: 23437
Description

In layers's properties > Diagrams you can set an expression to build your diagram
Then if you want to rewrite this expression, double-clicking the expression simply offers you to write it within the text box, which is not easy
nor friendly at all when you are using a complex expression.

| think that double-clicking an expression or at least, select the expression and push the expression builder button should open the
expression builder dialog (prefilled with the current expression, as done when a field is selected in the left column) for an easy typing

History

#1 - 2016-09-01 09:18 AM - Harrissou Santanna

Note that simply change the expression in the textbox seems to not really change the expression given that hitting "Apply" does nothing (see #15514)

#2 - 2016-12-06 02:32 AM - Harrissou Santanna
- Resolution set to fixed/implemented

works in 2.18.1 (f4c99d9)

#3 - 2016-12-06 02:32 AM - Harrissou Santanna
- Status changed from Open to Closed
